Update an organisation's team settings
curl --request PATCH \
--url https://api.ctrl-hub.com/v3/orgs/{org_id}/settings/teams \
--header 'Content-Type: application/vnd.api+json' \
--header 'X-Session-Token: <api-key>' \
--data '
{
"data": {
"type": "<string>",
"attributes": {
"customer_representatives": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
}
}
'import requests
url = "https://api.ctrl-hub.com/v3/orgs/{org_id}/settings/teams"
payload = { "data": {
"type": "<string>",
"attributes": { "customer_representatives": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"] }
} }
headers = {
"X-Session-Token": "<api-key>",
"Content-Type": "application/vnd.api+json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-Session-Token': '<api-key>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: '<string>',
attributes: {customer_representatives: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']}
}
})
};
fetch('https://api.ctrl-hub.com/v3/orgs/{org_id}/settings/teams', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"attributes": {
"name": "<string>",
"slug": "<string>",
"sandbox": true,
"description": "<string>",
"settings": {
"teams": {
"customer_representatives": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
}
},
"meta": {
"v3": true,
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"features": [
{
"name": "<string>",
"enabled": true,
"limit": 123
}
]
},
"relationships": {
"users": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
]
},
"service_accounts": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
]
},
"groups": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
]
},
"teams": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
]
},
"nomenclature": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
}
}
},
"jsonapi": {
"version": "<string>"
},
"included": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"attributes": {
"governance": {
"schemes": [
{
"singular": "<string>",
"plural": "<string>",
"language": "<string>"
}
],
"work_orders": [
{
"singular": "<string>",
"plural": "<string>",
"language": "<string>"
}
],
"operations": [
{
"singular": "<string>",
"plural": "<string>",
"language": "<string>"
}
],
"scheme_contracts": [
{
"singular": "<string>",
"plural": "<string>",
"language": "<string>"
}
]
}
},
"meta": {
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}
]
}{
"id": "98ca4a78-b66f-4234-9719-aaf832ee6669",
"status": "400",
"title": "A validation error was encountered",
"source": {
"parameter": "include"
},
"meta": {
"resource": "wrong_value"
}
}{
"id": "05fc9c8d-73b9-4697-9337-57f7a567a48f",
"status": "401",
"title": "You are not authorised to access this resource",
"detail": "In order to access this resource, you need the 'admin' role.",
"code": "AUTH.001"
}{
"id": "7b4c8f12-3e9a-4d5b-8c6f-1a2b3c4d5e6f",
"status": "404",
"title": "Resource not found",
"detail": "The requested resource could not be found or does not exist.",
"code": "NOT_FOUND.001"
}{
"id": "fe9d9a69-f0a7-4fdc-bb2c-176027f316c5",
"status": "500",
"title": "Internal Server Error",
"detail": "An unexpected error occurred on the server."
}Organisations
Update organisation team settings
Replace the team-settings sub-resource for an organisation. Currently supports configuring the customer service representative teams: the supplied list of team IDs becomes the new list of CSR teams for the organisation, replacing whatever was previously stored. Each referenced team must belong to the organisation identified in the path. Passing an empty array clears the list.
PATCH
/
v3
/
orgs
/
{org_id}
/
settings
/
teams
Update an organisation's team settings
Authorizations
SessionOAuth2Cookie
Session token for authentication.
Path Parameters
The unique identifier for the organisation.
Body
application/vnd.api+json
The team-settings for the organisation to update.
Show child attributes
Show child attributes
⌘I